@echo off
rem ----------------------------------------------------
rem PCCHNGE.BAT
rem Rev.01 for RAID400 1999/07/01 S.Takayama
rem Rev.02 for SVP 5FD 1999/12/09 S.Takayama
rem Rev.03 for SVP 6FD 2000/01/20 S.Takayama(Y.Igarashi)
rem Rev.04 for SVP 7FD 2000/07/19 S.Takayama
rem ----------------------------------------------------
if exist c:\dkc200\tmp\pcchnge goto copy14
goto normal
:copy14
echo  SVP Micro Exchange
del c:\dkc200\mp\pc\svpfd*.exe >null
xcopy c:\dkc200\tmp\mp\pc  c:\dkc200\mp\pc  /s/e/v >nul
xcopy c:\dkc200\tmp\log    c:\dkc200\log    /s/e/v >nul
xcopy c:\dkc200\tmp\others c:\dkc200\others /s/e/v >nul
if exist c:\dkc200\tmp\mp\pc\svpfd1.exe goto lhaexec
goto tdel
:lhaexec
rem copy c:\dkc200\tmp\mp\pc\svpfd*.exe c:\ >nul
rem copy c:\dkc200\tmp\others\pcyes.txt c:\ >nul
rem copy c:\dkc200\tmp\mp\pc\svpfd*.exe c:\dkc200\mp\pc >nul
if exist c:\dkc200\mp\pc\hodmgmn.exe goto delhodm
goto delend
:delhodm
del c:\dkc200\mp\pc\hodmgmn.exe
:delend
cd\
c:\dkc200\mp\pc\svpfd1.exe <c:\dkc200\tmp\others\pcyes.txt >nul
c:\dkc200\mp\pc\svpfd2.exe <c:\dkc200\tmp\others\pcyes.txt >nul
c:\dkc200\mp\pc\svpfd3.exe <c:\dkc200\tmp\others\pcyes.txt >nul
c:\dkc200\mp\pc\svpfd4.exe <c:\dkc200\tmp\others\pcyes.txt >nul
c:\dkc200\mp\pc\svpfd5.exe <c:\dkc200\tmp\others\pcyes.txt >nul
c:\dkc200\mp\pc\svpfd6.exe <c:\dkc200\tmp\others\pcyes.txt >nul
if not exist c:\dkc200\mp\pc\svpfd7.exe goto lhaend
c:\dkc200\mp\pc\svpfd7.exe <c:\dkc200\tmp\others\pcyes.txt >nul
if not exist c:\dkc200\mp\pc\svpfd8.exe goto lhaend
c:\dkc200\mp\pc\svpfd8.exe <c:\dkc200\tmp\others\pcyes.txt >nul
if not exist c:\dkc200\mp\pc\svpfd9.exe goto lhaend
c:\dkc200\mp\pc\svpfd9.exe <c:\dkc200\tmp\others\pcyes.txt >nul
if not exist c:\dkc200\mp\pc\svpfd10.exe goto lhaend
c:\dkc200\mp\pc\svpfd10.exe <c:\dkc200\tmp\others\pcyes.txt >nul
:lhaend
rem del c:\svpfd*.exe >nul
rem del c:\pcyes.txt  >nul
:tdel
deltree /y c:\dkc200\tmp >nul
mkdir c:\dkc200\tmp >nul
:normal
if exist c:\dkc200\config\newast.cfg goto newast
goto endd
:newast
if exist c:\dkc200\mp\pc\remote.exe goto astchng
goto endd
:astchng
copy c:\dkc200\mp\pc\remote.exe  c:\dkc200\mp\pc\ssvprbg.exe >nul
copy c:\dkc200\mp\pc\rmtpnl.exe  c:\dkc200\mp\pc\ssvprfg.exe >nul
:endd
